'use strict';

var got = require('got');

var createStation = function createStation(s) {
    var station = {
        type: 'station',
        id: s.stn_cd + '',
        name: s.stn_nm,
        location: {
            type: 'location',
            longitude: +s.longitude,
            latitude: +s.latitude
        },
        group: s.group // todo
    };
    if (s.major) station.major = s.major; // todo
    return station;
};

var stations = async function stations() {
    var results = await got.get('https://smart.letskorail.com/classes/com.korail.mobile.common.stationdata', {
        json: true
    }).then(function (res) {
        return res.body;
    });

    return results.stns.stn.map(createStation);
};

module.exports = stations;